OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.VertexArrayObject

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBVertexArrayObject :: MonadIO m => m Bool
- gl_ARB_vertex_array_object :: Bool
- gl_VERTEX_ARRAY_BINDING :: GLenum
- glBindVertexArray :: MonadIO m => GLuint -> m ()
- glDeleteVertexArrays :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenVertexArrays :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glIsVertexArray :: MonadIO m => GLuint -> m GLboolean

# Extension Support

glGetARBVertexArrayObject :: MonadIO m => m Bool

Is the ARB_vertex_array_object extension supported?

gl_ARB_vertex_array_object :: Bool

Is the ARB_vertex_array_object extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBVertexArrayObject` in those cases instead.

# Enums

gl_VERTEX_ARRAY_BINDING :: GLenum

# Functions

glBindVertexArray

Arguments

:: MonadIO m |
=> GLuint | `array`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glDeleteVertexArrays

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `arrays` pointing to `n` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGenVertexArrays

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `arrays` pointing to `n` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glIsVertexArray

Arguments

:: MonadIO m |
=> GLuint | `array`.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 3.x or OpenGL 4.x.